V6.0
post
/ec-designer-ors-svc/rest/v6.0/studies/{studyId}/versions/{version}/randomizations
Creates a randomization design in the specified study version. The request defines the randomization details, treatment arms, visits, and settings. The response returns the saved randomization design with its generated identifier and configured details.
Request
Path Parameters
-
studyId(required): string(uuid)
Study unique identifier.Example:
CF1E6500073D4AD298F4DA93DA670786 -
version(required): string
Study version identifier.Example:
1.0.0.1
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRandomization design payload used by the v6 create and update randomization endpoints.
Show Source
-
arms: array
arms
Treatment arms configured for the randomization design.
-
details: object
RandomizationDetailsV6Doc
Details for the randomization design.
-
id: string
(uuid)
Minimum Length:
32Maximum Length:32Randomization unique identifier. -
settings: object
RandomizationSettingsV6Doc
Settings that control randomization number handling and visit-window behavior.
-
versionStart: string
(date-time)
Minimum Length:
20Maximum Length:40Version start timestamp for the randomization design.Example:2025-01-17T15:41:10.733Z -
visits: array
visits
Visits that participate in randomization.
Nested Schema : arms
Type:
arrayTreatment arms configured for the randomization design.
Show Source
-
Array of:
object RandomizationArmV6Doc
Treatment arm ratio configured for the randomization design.
Example:
[
{
"id":"C1B8327AFAA6412287106192AB5984EF",
"name":"Arm A",
"ratio":2
}
]Nested Schema : RandomizationDetailsV6Doc
Type:
objectDetails for the randomization design.
Show Source
-
algorithm: string
Minimum Length:
4Maximum Length:31Allowed Values:[ "None", "Central", "CentralStratified", "SiteBlockedFixed", "SiteBlockedFixedStratified", "SiteBlockedDynamic", "SiteBlockedDynamicStratified", "CountryBlockedFixed", "CountryBlockedFixedStratified", "CountryBlockedDynamic", "CountryBlockedDynamicStratified", "RegionBlockedFixed", "RegionBlockedFixedStratified", "RegionBlockedDynamic", "RegionBlockedDynamicStratified", "Minimization" ]Randomization algorithm. Allowed values: None = no randomization algorithm configured, Central = centrally managed randomization without stratification, CentralStratified = central stratified randomization, SiteBlockedFixed = site-blocked fixed randomization, SiteBlockedFixedStratified = site-blocked fixed stratified randomization, SiteBlockedDynamic = site-blocked dynamic randomization, SiteBlockedDynamicStratified = site-blocked dynamic stratified randomization, CountryBlockedFixed = country-blocked fixed randomization, CountryBlockedFixedStratified = country-blocked fixed stratified randomization, CountryBlockedDynamic = country-blocked dynamic randomization, CountryBlockedDynamicStratified = country-blocked dynamic stratified randomization, RegionBlockedFixed = region-blocked fixed randomization, RegionBlockedFixedStratified = region-blocked fixed stratified randomization, RegionBlockedDynamic = region-blocked dynamic randomization, RegionBlockedDynamicStratified = region-blocked dynamic stratified randomization, Minimization = minimization algorithm.Example:Central -
cohortType: string
Minimum Length:
7Maximum Length:10Allowed Values:[ "NoCohort", "Adaptive", "Demography", "invalid" ]Cohort behavior for the randomization design. Allowed values: NoCohort = no cohorting is applied, Adaptive = adaptive cohorts are used, Demography = demographic cohorts are used, invalid = unrecognized persisted value.Example:NoCohort -
description: string
Minimum Length:
1Maximum Length:4000Randomization design description.Example:Method to assign study participants to a treatment group. -
randomizationType: string
Minimum Length:
7Maximum Length:9Allowed Values:[ "Blinded", "Unblinded", "invalid" ]Randomization blinding type. Allowed values: Blinded = subject assignments remain blinded, Unblinded = subject assignments are visible, invalid = unrecognized persisted value.Example:Blinded -
reRandomization: boolean
Indicates whether re-randomization is enabled.Example:
true -
title: string
Minimum Length:
1Maximum Length:64Randomization title.Example:Rand 001 -
treatmentArms: string
Minimum Length:
4Maximum Length:10Allowed Values:[ "Randomized", "Mapped", "None", "invalid" ]Treatment arm assignment mode. Allowed values: Randomized = arms are assigned by the randomization algorithm, Mapped = arms are mapped explicitly, None = no treatment arms are configured, invalid = unrecognized persisted value.Example:Randomized
Example:
{
"title":"Rand 001",
"description":"Method to assign study participants to a treatment group.",
"algorithm":"Central",
"cohortType":"NoCohort",
"randomizationType":"Blinded",
"reRandomization":true,
"treatmentArms":"Randomized"
}Nested Schema : RandomizationSettingsV6Doc
Type:
objectSettings that control randomization number handling and visit-window behavior.
Show Source
-
allowOutsideWindow: boolean
Indicates whether randomization is allowed outside the schedule window.Example:
false -
assignNewRandomizeNumbers: boolean
Indicates whether new randomization numbers are assigned to all subjects.Example:
true -
assignSkippedRandomizationNumbers: boolean
Indicates whether skipped randomization numbers should be assigned.Example:
false -
randomizeLimitsToCountEarlyTerminated: boolean
Indicates whether early terminated subjects count toward randomization limits.Example:
false -
randomizeNumberBlinded: boolean
Indicates whether randomization numbers are blinded.Example:
true -
randomizeSubjectsIfSitesOutOfKits: boolean
Indicates whether randomization should continue when sites are out of kits.Example:
false
Example:
{
"randomizeSubjectsIfSitesOutOfKits":false,
"assignSkippedRandomizationNumbers":false,
"randomizeNumberBlinded":true,
"randomizeLimitsToCountEarlyTerminated":false,
"assignNewRandomizeNumbers":true,
"allowOutsideWindow":false
}Nested Schema : visits
Type:
arrayVisits that participate in randomization.
Show Source
-
Array of:
object RandomizationVisitV6Doc
Visit included in the randomization design.
Example:
[
{
"visitId":"E1B8327AFAA6412287106192AB5984EF",
"visitName":"Week 1",
"branchId":"F1B8327AFAA6412287106192AB5984EF"
}
]Nested Schema : RandomizationArmV6Doc
Type:
objectTreatment arm ratio configured for the randomization design.
Show Source
-
id: string
(uuid)
Minimum Length:
32Maximum Length:32Treatment arm unique identifier. -
name: string
Minimum Length:
1Maximum Length:64Treatment arm name.Example:Arm A -
ratio: integer
(int32)
Minimum Value:
1Maximum Value:99Treatment arm allocation ratio. Allowed numeric range is 1 through 99. Zero and negative values are not allowed.Example:2
Nested Schema : RandomizationVisitV6Doc
Type:
objectVisit included in the randomization design.
Show Source
-
branchId: string
(uuid)
Minimum Length:
32Maximum Length:32Branch unique identifier for the visit path. -
visitId: string
(uuid)
Minimum Length:
32Maximum Length:32Visit unique identifier. -
visitName: string
Minimum Length:
1Maximum Length:64Visit name.Example:Week 1
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : RandomizationResponseV6
Type:
objectDesigner response envelope returned by the v6 randomization create and update endpoints.
Show Source
-
errorData: object
RandomizationErrorV6
Error payload returned by the v6 randomization endpoints.
-
result: object
schema
Randomization design payload used by the v6 create and update randomization endpoints.
-
status: string
Minimum Length:
7Maximum Length:7Allowed Values:[ "success" ]Envelope status returned by the endpoint. Allowed value: success.Example:success -
version: integer
(int32)
Minimum Value:
1Envelope version for the shared Designer response wrapper.Example:1
Nested Schema : RandomizationErrorV6
Type:
objectError payload returned by the v6 randomization endpoints.
Show Source
-
details: object
details
Request-specific error details object.
-
errorCode: string
Minimum Length:
1Maximum Length:32Application error code.Example:C1-400 -
errorMessage: string
Minimum Length:
1Maximum Length:1024Human-readable error message.Example:Randomization details are invalid
Example:
{
"errorCode":"C1-400",
"errorMessage":"Randomization details are invalid",
"details":{
"field":"details.title",
"message":"must not be blank"
}
}Nested Schema : schema
Type:
objectRandomization design payload used by the v6 create and update randomization endpoints.
Show Source
-
arms: array
arms
Treatment arms configured for the randomization design.
-
details: object
RandomizationDetailsV6Doc
Details for the randomization design.
-
id: string
(uuid)
Minimum Length:
32Maximum Length:32Randomization unique identifier. -
settings: object
RandomizationSettingsV6Doc
Settings that control randomization number handling and visit-window behavior.
-
versionStart: string
(date-time)
Minimum Length:
20Maximum Length:40Version start timestamp for the randomization design.Example:2025-01-17T15:41:10.733Z -
visits: array
visits
Visits that participate in randomization.
Nested Schema : details
Type:
objectRequest-specific error details object.
Example:
{
"field":"details.title",
"message":"must not be blank"
}Nested Schema : arms
Type:
arrayTreatment arms configured for the randomization design.
Show Source
-
Array of:
object RandomizationArmV6Doc
Treatment arm ratio configured for the randomization design.
Example:
[
{
"id":"C1B8327AFAA6412287106192AB5984EF",
"name":"Arm A",
"ratio":2
}
]Nested Schema : RandomizationDetailsV6Doc
Type:
objectDetails for the randomization design.
Show Source
-
algorithm: string
Minimum Length:
4Maximum Length:31Allowed Values:[ "None", "Central", "CentralStratified", "SiteBlockedFixed", "SiteBlockedFixedStratified", "SiteBlockedDynamic", "SiteBlockedDynamicStratified", "CountryBlockedFixed", "CountryBlockedFixedStratified", "CountryBlockedDynamic", "CountryBlockedDynamicStratified", "RegionBlockedFixed", "RegionBlockedFixedStratified", "RegionBlockedDynamic", "RegionBlockedDynamicStratified", "Minimization" ]Randomization algorithm. Allowed values: None = no randomization algorithm configured, Central = centrally managed randomization without stratification, CentralStratified = central stratified randomization, SiteBlockedFixed = site-blocked fixed randomization, SiteBlockedFixedStratified = site-blocked fixed stratified randomization, SiteBlockedDynamic = site-blocked dynamic randomization, SiteBlockedDynamicStratified = site-blocked dynamic stratified randomization, CountryBlockedFixed = country-blocked fixed randomization, CountryBlockedFixedStratified = country-blocked fixed stratified randomization, CountryBlockedDynamic = country-blocked dynamic randomization, CountryBlockedDynamicStratified = country-blocked dynamic stratified randomization, RegionBlockedFixed = region-blocked fixed randomization, RegionBlockedFixedStratified = region-blocked fixed stratified randomization, RegionBlockedDynamic = region-blocked dynamic randomization, RegionBlockedDynamicStratified = region-blocked dynamic stratified randomization, Minimization = minimization algorithm.Example:Central -
cohortType: string
Minimum Length:
7Maximum Length:10Allowed Values:[ "NoCohort", "Adaptive", "Demography", "invalid" ]Cohort behavior for the randomization design. Allowed values: NoCohort = no cohorting is applied, Adaptive = adaptive cohorts are used, Demography = demographic cohorts are used, invalid = unrecognized persisted value.Example:NoCohort -
description: string
Minimum Length:
1Maximum Length:4000Randomization design description.Example:Method to assign study participants to a treatment group. -
randomizationType: string
Minimum Length:
7Maximum Length:9Allowed Values:[ "Blinded", "Unblinded", "invalid" ]Randomization blinding type. Allowed values: Blinded = subject assignments remain blinded, Unblinded = subject assignments are visible, invalid = unrecognized persisted value.Example:Blinded -
reRandomization: boolean
Indicates whether re-randomization is enabled.Example:
true -
title: string
Minimum Length:
1Maximum Length:64Randomization title.Example:Rand 001 -
treatmentArms: string
Minimum Length:
4Maximum Length:10Allowed Values:[ "Randomized", "Mapped", "None", "invalid" ]Treatment arm assignment mode. Allowed values: Randomized = arms are assigned by the randomization algorithm, Mapped = arms are mapped explicitly, None = no treatment arms are configured, invalid = unrecognized persisted value.Example:Randomized
Example:
{
"title":"Rand 001",
"description":"Method to assign study participants to a treatment group.",
"algorithm":"Central",
"cohortType":"NoCohort",
"randomizationType":"Blinded",
"reRandomization":true,
"treatmentArms":"Randomized"
}Nested Schema : RandomizationSettingsV6Doc
Type:
objectSettings that control randomization number handling and visit-window behavior.
Show Source
-
allowOutsideWindow: boolean
Indicates whether randomization is allowed outside the schedule window.Example:
false -
assignNewRandomizeNumbers: boolean
Indicates whether new randomization numbers are assigned to all subjects.Example:
true -
assignSkippedRandomizationNumbers: boolean
Indicates whether skipped randomization numbers should be assigned.Example:
false -
randomizeLimitsToCountEarlyTerminated: boolean
Indicates whether early terminated subjects count toward randomization limits.Example:
false -
randomizeNumberBlinded: boolean
Indicates whether randomization numbers are blinded.Example:
true -
randomizeSubjectsIfSitesOutOfKits: boolean
Indicates whether randomization should continue when sites are out of kits.Example:
false
Example:
{
"randomizeSubjectsIfSitesOutOfKits":false,
"assignSkippedRandomizationNumbers":false,
"randomizeNumberBlinded":true,
"randomizeLimitsToCountEarlyTerminated":false,
"assignNewRandomizeNumbers":true,
"allowOutsideWindow":false
}Nested Schema : visits
Type:
arrayVisits that participate in randomization.
Show Source
-
Array of:
object RandomizationVisitV6Doc
Visit included in the randomization design.
Example:
[
{
"visitId":"E1B8327AFAA6412287106192AB5984EF",
"visitName":"Week 1",
"branchId":"F1B8327AFAA6412287106192AB5984EF"
}
]Nested Schema : RandomizationArmV6Doc
Type:
objectTreatment arm ratio configured for the randomization design.
Show Source
-
id: string
(uuid)
Minimum Length:
32Maximum Length:32Treatment arm unique identifier. -
name: string
Minimum Length:
1Maximum Length:64Treatment arm name.Example:Arm A -
ratio: integer
(int32)
Minimum Value:
1Maximum Value:99Treatment arm allocation ratio. Allowed numeric range is 1 through 99. Zero and negative values are not allowed.Example:2
Nested Schema : RandomizationVisitV6Doc
Type:
objectVisit included in the randomization design.
Show Source
-
branchId: string
(uuid)
Minimum Length:
32Maximum Length:32Branch unique identifier for the visit path. -
visitId: string
(uuid)
Minimum Length:
32Maximum Length:32Visit unique identifier. -
visitName: string
Minimum Length:
1Maximum Length:64Visit name.Example:Week 1
Examples
500 Response
Returned when the service cannot create the requested randomization design for the supplied study version because of an unexpected server-side failure.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples